<?php
!defined('NoRead') && exit;

@error_reporting(0);
ini_set('display_errors','Off');

define('D', dirname(__FILE__).'/', true);
define('TimeFormat', 'D, d M Y H:i:s O', true);

$set = (object)parse_ini_file(D.'config/config.ini', true, INI_SCANNER_NORMAL);


if($set->Debug['debug']==="1") {//Debug
	error_reporting(E_ALL);
	ini_set('display_errors','On');
	define('Debug', true);
} else 
	define('Debug', false);

$imgread   = require D.$set->Path['class'].  'imgread.class.php'   ;
//---------------------------------------------------------------------

define('LogFile', D.$set->Path['ErrorLog'], true);
define('ImgFile', D.$set->IMG['ImgDir'].$set->IMG['default'], true);

require D.$set->Path['class'].  'log.class.php'       ;


$RegModule = require D.$set->Path['class'].  'RegModule.class.php' ;
$MySQLi    = require D.$set->Path['class'].  'MySQLi.class.php'    ;

$imgread->Destruct = 'Off';
//---------------------------------------------------------------------

$info = (object)array(
		'ip' => $_SERVER['REMOTE_ADDR'],
		'AgentData' => substr($_SERVER['HTTP_USER_AGENT'], 0, $set->IP['MaxLen']),
		//-----------------------------------------
		'_date' => date('Y-m-d H:i:s'),
		'uid'   => 0,
		'd_uid' => 0,
		'c_uid' => 0,
		'URLData' => '',
		'UserData' => array(),
		'cURL_JSON' => array(),
		'Data_JSON' => array(),
		'E-tag' => null,
);
include D.'user.php';//Пользовательский код

/*Capture*/
include D.'capture/default/SpyUserAbort.php';

$Hedars = array();

/*E-Tag*/
if($set->_Default['etag'] === "1")
	include D.'capture/default/ETag.php';

/*Time*/
if($set->_Default['time'] === "1")
	include D.'capture/default/Time.php';

/*Cookies*/
if($set->_Default['cookies'] === "1")
	include D.'capture/default/Cookies.php';

/*DB*/
$MyUserData = $MySQLi->MySQLi->prepare('INSERT INTO `imglog` (`id`, `_date`, `ip`, `uid`, `d_uid`,`c_uid`, `AgentData`, 
		`UserData`, `URLData`, `cURL_JSON`, `Data_JSON`) 
						VALUES (NULL, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?);');
$MyUserData->bind_param('ssiiisssss', 
		$info->_date, $info->ip, $info->uid, $info->d_uid, $info->c_uid, 
			$info->AgentData, $info->UserData, $info->URLData, $info->cURL_JSON, $info->Data_JSON);
$MyUserData->execute() or die(Log::logu('Error', 'Невозможно занести данные User в БД, '.$MySQLi->MySQLi->error));
$id = (int)$MySQLi->MySQLi->insert_id;
$MyUserData->close();


/*Header*/
	header_remove('*');
	header_remove('X-Powered-By');

	/*ETag*/
	((isset($Header['ETag']) or (bool)(unset)($Header['ETag'][0]=1)) 
			&& header('ETag: "'.$Header['ETag'][1].'"'));

	/*Time*/
	((isset($Header['Time']) or (bool)(unset)($Header['Time'][0]=1)) 
			&& header('Last-Modified: '.gmdate('D, d M Y H:i:s', $Header['Time'][1]).' GMT'));


	/*Cookies*/
	((isset($Header['Cookie']) or (bool)(unset)($Header['Cookie'][0]=1)) 
			&& setcookie($set->_Default['CookieName'], $Header['Cookie'][1]));
			
	/*Link*/
	(isset($Header['Link']) && header(sprintf($Header['Link'], $id)));

	/*Cache*/
	if (($Header['ETag'][0] + $Header['Time'][0] + $Header['Cookie'][0]) === 3) {
		header('HTTP/1.1 304 Not Modified');
		exit;
	}


header('Accept-Ranges: bytes');

/*End*/
$imgread->read();
ob_end_flush();
